
/*
 *    QueryHistoryItem.java
 *    Copyright (C) 2001 New Zealand Digital Library Project
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


package org.nzdl.gsdl.SimpleGraphicalClient;

import java.io.*;
import java.util.*;

public class QueryHistoryItem extends Object
{

    private Date date;
    private String user; // should be a Person object
    private Query query;
    private String collectionName;
    private long numOfHits;
    private String queryType; // boolean or ranked
    private boolean stemmed;
    private boolean caseMatched;

	   // time
	   // person
	   // etc
	   
    public QueryHistoryItem(Query newQuery, Date newDate, String newCollectionName, String newUser, long newNumOfHits, String newQueryType, boolean newStemmed, boolean newCaseMatched) {
	query = newQuery;
	date = newDate;
	user = newUser;
	collectionName = newCollectionName;
	numOfHits = newNumOfHits;
	queryType = newQueryType;
	stemmed = newStemmed;
	caseMatched = newCaseMatched;
    }

 public QueryHistoryItem() {
     this(new Query(""), new Date(), "", "", 0, "", false, false);
    }

    public String getCollectionName() {
	return collectionName;
    }

    public String getUser() {
	return user;
    }

    public Query getQuery() {
	return query;
    }

    public Date getDate() {
	return date;
    }

    public long getNumOfHits() {
	return numOfHits;
    }

    public String getQueryType() {
	return queryType;
    }

    public boolean getStemmed() {
	return stemmed;
    }

    public boolean getCaseMatched() {
	return caseMatched;
    }

    public String toString () {
	return( user + " " + date + " "  + collectionName +" terms");
    }
    

} //end QueryHistoryItem class
